petsc-3.4.2 2013-07-02

# MatInterpolate

y = A*x or A'*x depending on the shape of the matrix

### Synopsis

    #include "petscmat.h"
    PetscErrorCode  MatInterpolate(Mat A,Vec x,Vec y)

Neighbor-wise Collective on Mat

### Input Parameters

| mat | - the matrix
| x,y | - the vectors

### Notes

This allows one to use either the restriction or interpolation (its transpose) matrix to do the interpolation

### See Also

MatMultAdd(), MatMultTransposeAdd(), MatRestrict()

Level:intermediate
Location:src/mat/interface/matrix.c
Index of all Mat routines
Table of Contents for all manual pages
Index of all manual pages